%define module_name Test-Clustericious-Blocking
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Clustericious.pm) perl(Config.pm) perl(Devel/Hide.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(HTTP/Tiny.pm) perl(JSON/PP.pm) perl(Mojolicious.pm) perl(Test/Clustericious/Cluster.pm) perl(Test2/V0.pm) perl(base.pm) perl(forks.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.07
Release: alt1
Summary: Run blocking code in a process using an unholy combination of forks and Mojolicious
Group: Development/Perl
License: perl
URL: https://metacpan.org/pod/Test::Clustericious::Blocking

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PL/PLICEASE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Warning: This module should be considered experimental.

the Clustericious manpage inherits a great asynchronous API from the Mojolicious manpage and 
the Test::Clustericious::Cluster manpage is a great way to test one or more the Clustericious manpage
services in the same process, but if you have a blocking client to test then
it gets hard.  This module provides a the blocking entry elsewhere in this document function which takes a code
block.  The code block is executed in a separate process using the forks manpage, and the
return value is returned.  While it is waiting for the thread to complete, it
runs the the Mojo::IOLoop manpage so that the non-blocking the Clustericious manpage service can
do its thing.

Although designed to work with the Clustericious manpage, it should work it does not 
depend on any the Clustericious manpage code, and should work with any the Mojolicious manpage
application.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README Changes author.yml
%perl_vendor_privlib/T*

%changelog
* Wed Apr 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.07-alt1
- regenerated from template by package builder

* Tue Dec 26 2017 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1
- regenerated from template by package builder

* Mon May 01 2017 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- regenerated from template by package builder

* Thu Jun 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- initial import by package builder

